[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringStream.ReadUnicodeString

Read a unicode string from the stream

## Declaration

Source position: classesh.inc line 1106

`public function TStringStream.ReadUnicodeString(`
`Count: LongInt`
`):UnicodeString;`

## Description

ReadUnicodeString will read a unicodestring and correctly handle the codepage translation if necessary..

## See also

TStream.ReadString
TStream.ReadAnsiString |  | Read an ansistring from the stream and return its value.
TStringStream.WriteUnicodeString |  | Write a unicode string to the stream